﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;
using Telerik.Windows.Diagrams.Core;

namespace MVVMTestWPF
{
    public class GraphSource : SerializableGraphSourceBase<NodeViewModelBase, Link>
    {
        public GraphSource()
        {
            var shape1 = new Node() { Content = "Item 1", Position = new Point(50, 50) };
            var shape2 = new Node() { Content = "Item 2", Position = new Point(250, 150) };

            this.AddNode(shape1);
            this.AddNode(shape2);
            this.AddLink(new Link() { Content = "Connection", Source = shape1, Target = shape2 });
        }

        public override string GetNodeUniqueId(NodeViewModelBase node)
        {
            if (node != null)
                return node.GetHashCode().ToString();

            return string.Empty;
        }
    }
}
